import 'package:json_annotation/json_annotation.dart';

part 'product_brand_model.g.dart';

@JsonSerializable()
class ProductBrandModel {
  final int? id;
  final String? logo;
  final String? name;
  final String? email;
  final String? phone;
  final String? website;
  final String? code;

  ProductBrandModel({
    this.id,
    this.logo,
    this.name,
    this.email,
    this.phone,
    this.website,
    this.code,
  });

  factory ProductBrandModel.fromJson(Map<String, dynamic> json) => _$ProductBrandModelFromJson(json);
  Map<String, dynamic> toJson() => _$ProductBrandModelToJson(this);
}
